Draft Arc 3Points/en: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 6: Line 6:
|[[Draft_Module|Draft]]
|[[Draft_Module|Draft]]
|IconL=Draft_Circle.svg
|IconL=Draft_Circle.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Ellipse.svg
|IconR=Draft_Ellipse.svg
|IconC=Workbench_Draft.svg
}}
}}


Line 13: Line 13:
|Name=Draft Arc 3Points
|Name=Draft Arc 3Points
|MenuLocation=Draft → Arc 3 points
|MenuLocation=Draft → Arc 3 points
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
|Workbenches=[[Draft_Module|Draft]], [[Arch_Module|Arch]]
|Shortcut={{KEY|A}} {{KEY|T}}
|Shortcut={{KEY|A}} {{KEY|T}}
|SeeAlso=[[Draft Arc|Draft Arc]], [[Draft Circle|Draft Circle]], [[Draft Ellipse|Draft Ellipse]]
|Version=0.19
|Version=0.19
|SeeAlso=[[Draft_Arc|Draft Arc]], [[Draft_Circle|Draft Circle]], [[Draft_Ellipse|Draft Ellipse]]
}}
}}


==Description==
==Description==


The {{Button|[[Image:Draft_Arc_3Points.svg|16px]] [[Draft Arc 3Points|Arc 3Points]]}} tool creates a circular arc in the current [[Draft SelectPlane|work plane]] by entering three points that lie on the circumference; the center and radius are determined from these three points. It uses the [[Draft Linestyle|Draft Linestyle]] set on the [[Draft Tray|Draft Tray]].
The {{Button|[[Image:Draft_Arc_3Points.svg|16px]] [[Draft_Arc 3Points|Arc 3Points]]}} tool creates a circular arc in the current [[Draft_SelectPlane|work plane]] by entering three points that lie on the circumference; the center and radius are determined from these three points. It uses the [[Draft_Linestyle|Draft Linestyle]] set on the [[Draft_Tray|Draft Tray]].


Use the [[Draft Arc|Draft Arc]] tool to create a circular arc by specifying the center, the radius, and the start and end angles. To draw an elliptical arc use [[Draft Ellipse|Draft Ellipse]]. You can also approximate a circular arc by using the [[Draft BSpline|Draft BSpline]], [[Draft BezCurve|Draft BezCurve]], and [[Draft CubicBezCurve|Draft CubicBezCurve]] tools.
Use the [[Draft Arc|Draft Arc]] tool to create a circular arc by specifying the center, the radius, and the start and end angles. To draw an elliptical arc use [[Draft Ellipse|Draft Ellipse]]. You can also approximate a circular arc by using the [[Draft_BSpline|Draft BSpline]], [[Draft_BezCurve|Draft BezCurve]], and [[Draft_CubicBezCurve|Draft CubicBezCurve]] tools.


[[Image:Draft_Arc_3Points_example.png|400px]]
[[Image:Draft_Arc_3Points_example.png|400px]]
Line 91: Line 91:
|[[Draft_Module|Draft]]
|[[Draft_Module|Draft]]
|IconL=Draft_Circle.svg
|IconL=Draft_Circle.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Ellipse.svg
|IconR=Draft_Ellipse.svg
|IconC=Workbench_Draft.svg
}}
}}



Revision as of 13:41, 1 December 2020

Draft Arc 3Points

Menu location
Draft → Arc 3 points
Workbenches
Draft, Arch
Default shortcut
A T
Introduced in version
0.19
See also
Draft Arc, Draft Circle, Draft Ellipse

Description

The Arc 3Points tool creates a circular arc in the current work plane by entering three points that lie on the circumference; the center and radius are determined from these three points. It uses the Draft Linestyle set on the Draft Tray.

Use the Draft Arc tool to create a circular arc by specifying the center, the radius, and the start and end angles. To draw an elliptical arc use Draft Ellipse. You can also approximate a circular arc by using the Draft BSpline, Draft BezCurve, and Draft CubicBezCurve tools.

Arc defined by three points lying on a circumference

Usage

  1. Press the Draft Arc 3Points button, or press A then T keys.
  2. Click a first point on the 3D view, or type a coordinate and press the add point button.
  3. Click a second point on the 3D view, or type a coordinate and press the add point button.
  4. Click a third point in the 3D view, or type a coordinate and press the add point button.
  5. The arc will be created after the third point is given.

Options

  • Press X, Y or Z after one point to constrain the following point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
    • You can press the add point button when you have entered the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the following point are relative to the previous one; if not, they are absolute, taken from the origin (0, 0, 0).
  • Hold Shift while drawing to constrain your next point horizontally or vertically in relation to the previous one.
  • Press Esc or the Close button to abort the current command.

Properties

An Arc object shares all properties from a Draft Circle, but some properties only make sense for the circle. See Draft Arc for more information.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Arc by 3 points tool can be used in macros and from the Python console by using the following function:

arc = make_arc_3points(points, placement=None, face=False, support=None, map_mode="Deactivated", primitive=False)
  • Creates an arc object from the given points list.
  • If a placement is given, the center of the circular arc will be moved to this place. See Placement for more information.
  • If face is True, the arc will make a face, that is, it will appear filled.
  • If support is given, it is a LinkSubList, that is, a list indicating an object, and a subelement of that object. This is used so that the object appears referenced to this support.
For example, support=[(obj, ("Face1"))]
  • If map_mode is given, it is a string defining a type of mapping, for example, map_mode='FlatFace', map_mode='ThreePointsPlane', etc. See Part Attachment for more information.
  • If primitive is True, the arc created will be a simple Part Feature, not a complex Draft object.

Example:

import FreeCAD as App
import draftobjects.arc_3points as arc3

doc = App.newDocument()
points = [App.Vector(0, 0, 0),
          App.Vector(5, 10, 0),
          App.Vector(10, 0, 0)]

arc = arc3.make_arc_3points(points)

doc.recompute()

Note: internally this function still uses Draft.makeCircle, so the object created is the same as the one created by Circle and Arc.